cascading.tap.hadoop.io

## Class HadoopTupleEntrySchemeCollector

- java.lang.Object
- - cascading.tuple.TupleEntryCollector
  - - cascading.tuple.TupleEntrySchemeCollector<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.OutputCollector>
    - - cascading.tap.hadoop.io.HadoopTupleEntrySchemeCollector

-     public class HadoopTupleEntrySchemeCollector
      extends TupleEntrySchemeCollector<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.OutputCollector>

  Class HadoopTupleEntrySchemeCollector is a kind of `TupleEntryCollector` that writes tuples to the resource managed by a particular `Tap` instance.

- - ### Field Summary

    - ### Fields inherited from class cascading.tuple.TupleEntrySchemeCollector

      `sinkCall`

    - ### Fields inherited from class cascading.tuple.TupleEntryCollector

      `tupleEntry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopTupleEntrySchemeCollector(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess, Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector> tap)`
    `HadoopTupleEntrySchemeCollector(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess, Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector> tap, org.apache.hadoop.mapred.OutputCollector outputCollector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.mapred.OutputCollector<?,?>` | `wrapOutput(org.apache.hadoop.mapred.OutputCollector outputCollector)`

    - ### Methods inherited from class cascading.tuple.TupleEntrySchemeCollector

      `add, add, close, collect, getFlowProcess, getOutput, prepare, setFields, setOutput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopTupleEntrySchemeCollector

          public HadoopTupleEntrySchemeCollector(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess,
                                         Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector> tap)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### HadoopTupleEntrySchemeCollector

          public HadoopTupleEntrySchemeCollector(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess,
                                         Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector> tap,
                                         org.apache.hadoop.mapred.OutputCollector outputCollector)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### wrapOutput

          protected org.apache.hadoop.mapred.OutputCollector<?,?> wrapOutput(org.apache.hadoop.mapred.OutputCollector outputCollector)

      Overrides:
        `wrapOutput` in class `TupleEntrySchemeCollector<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.OutputCollector>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.